# Author: Kapil Thangavelu <kvthan@wm.edu>
# License: GPL
# CVS: $Id: __init__.py,v 1.3 2001/09/29 23:33:50 ender Exp $

import ExtSearch
import ExtIndex

import test


def initialize(context): 
    """ """    

    context.registerClass(
            ExtSearch.ExtSearch,	
	    permission = 'Add External Search',
            constructors = (                 
                ExtSearch.manage_addExtSearchForm, 
                ExtSearch.manage_addExtSearch),    
            icon = 'www/extsearch.png'
            )
            

    context.registerClass(
            ExtIndex.ExtIndex,
            permission = 'Add Pluggable Index',
            constructors = ( ExtIndex.addExtIndexForm,
                             ExtIndex.addExtIndex),
            icon='www/extindex.png',
            visibility=None
            )
    
    context.registerHelp()
    
    # just registers a simple class for testing extindex                     
    #test.register(context)